Debian Bug report logs - #677929
python-docutils: remote copy of MathJax needed to render maths

version graph

Package: python-docutils; Maintainer for python-docutils is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-docutils is src:python-docutils.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sun, 17 Jun 2012 19:45:05 UTC

Severity: serious

Tags: fixed-upstream

Found in version python-docutils/0.9-1

Fixed in version python-docutils/0.10-2

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Sun, 17 Jun 2012 19:45:07 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-docutils: remote copy of MathJax needed to render maths
Date: Sun, 17 Jun 2012 21:41:39 +0200
Package: python-docutils
Version: 0.9-1
Severity: serious

Quoting HISTORY.txt:
| Release 0.9 (2012-05-02)
| ========================
| [...]
| * docutils/writers/html4css1/__init__.py
|
|   - Change default for `math-output` setting to MathJax.

So if you convert a document containing maths, you'll get this:

$ echo ':math:`42`' | rst2html | grep script.*http
<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

That is, if you open such document in a modern browser, it will happily 
download some JavaScript code from a remote site. I feel this violation 
of our users privacy (and a security concern).

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Tue, 03 Jul 2012 11:07:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 03 Jul 2012 11:07:36 GMT) Full text and rfc822 format available.

Message #8 received at 677929@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 677929@bugs.debian.org
Cc: jwilk@debian.org, control@bugs.debian.org
Subject: Re: Bug#677929: python-gdata: remote copy of MathJax needed to render maths
Date: Tue, 03 Jul 2012 14:38:33 +0400
[Message part 1 (text/plain, inline)]
tags 677929 + patch
thanks

The attached debdiff adds a "use-local-mathjax.diff" patch to
debian/patches, and adds a dependency on libjs-mathjax package to both
python-docutils and python3-docutils.

--
Dmitry Shachnev
[use_local_mathjax.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Tue, 03 Jul 2012 11:09:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Tue, 03 Jul 2012 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 03 Jul 2012 18:33:06 GMT) Full text and rfc822 format available.

Message #15 received at 677929@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 677929@bugs.debian.org
Cc: Dmitry Shachnev <mitya57@gmail.com>
Subject: Re: Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Tue, 3 Jul 2012 20:30:52 +0200
Reply-To: 
In-Reply-To: <1341311913.6292.5.camel@eeepc>
X-Debbugs-No-Ack: please

* Dmitry Shachnev <mitya57@gmail.com>, 2012-07-03, 14:38:
>--- debian/control	(revision 22398)
>+++ debian/control	(working copy)
>@@ -23,7 +23,8 @@
> Architecture: all
> Depends: ${misc:Depends}, ${python:Depends},
>          python-roman,
>-         docutils-common (= ${source:Version})
>+         docutils-common (= ${source:Version}),
>+         libjs-mathjax

This should be in Suggests, not in Depends.

> Recommends: python-imaging,
>             python-pygments,
>             libpaper-utils,
>@@ -52,7 +53,8 @@
> Architecture: all
> Depends: ${misc:Depends}, ${python3:Depends},
>          python3-roman,
>-         docutils-common (= ${source:Version})
>+         docutils-common (= ${source:Version}),
>+         libjs-mathjax

Ditto.

>+-    # The latest version of MathJax from the distributed server:
>+-    # avaliable to the public under the `MathJax CDN Terms of Service`__
>+-    # __http://www.mathjax.org/download/mathjax-cdn-terms-of-service/
>+-    mathjax_url = ('http://cdn.mathjax.org/mathjax/latest/MathJax.js?'
>++    # Debian version of MathJax
>++    mathjax_url = ('file:///usr/share/javascript/mathjax/MathJax.js?'
>+                    'config=TeX-AMS-MML_HTMLorMML')

As I said on IRC, I'm not very keen on just replacing one URL with 
another if it's not configurable by user.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Wed, 04 Jul 2012 06:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 04 Jul 2012 06:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 677929@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 677929@bugs.debian.org
Cc: Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Wed, 04 Jul 2012 10:05:45 +0400
[Message part 1 (text/plain, inline)]
On 03/07/2012 20:30 +0200, Jakub Wilk writes:

> As I said on IRC, I'm not very keen on just replacing one URL with 
> another if it's not configurable by user.

I've noticed your message right after posting that debdiff, sorry.

I've submitted a bug upstream asking to provide a configuration option,
see [1] (not adding "upstream" tag until upstream accepts that bug).

Also, I've emailed mathjax maintainer about status of [2] and am waiting
for his response. If we get mathjax package updated to the latest
version, we could switch to the packaged version without any potential
regressions.

Anyway, I've tested docutils with mathjax 1.1 and it works fine for me.

[1]: https://sourceforge.net/tracker/?func=detail&aid=3540052&group_id=38414&atid=422030
[2]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=664673

Cheers,

--
Dmitry Shachnev
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Wed, 04 Jul 2012 12:34:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guenter Milde <g.milde@quantentunnel.de>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 04 Jul 2012 12:35:05 GMT) Full text and rfc822 format available.

Message #25 received at 677929@bugs.debian.org (full text, mbox):

From: Guenter Milde <g.milde@quantentunnel.de>
To: 677929@bugs.debian.org
Subject: python-docutils: remote copy of MathJax needed to render maths
Date: Wed, 4 Jul 2012 13:56:48 +0200
> That is, if you open such document in a modern browser, it will happily 
> download some JavaScript code from a remote site. I feel this violation 
> of our users privacy (and a security concern).

This depends on the browser settings of the user. Users concerned for
privacy and security will have safeguards in place, because browsing the
internet without these safeguards almost inevitable means to download and
execute JavaScript from remote sites. With JavaScript blocked, the user
will see the latex source, instead of a rendering. 

I agree that a web page should not use javascript without need. However,
the idea with mathjax as default math-output-format is to have something
that works "out of the box" for most users - all alternatives are
currently not up to the task but require additional configuration. I
checked the mathjax site and it appeared to be a serious project by
serious players (see http://www.mathjax.org/sponsors/). 

This is why I do not agree with labeling this as a "serious" bug.

OTOH, a configurable the mathjax URL is a valid enhancement request. The
source contains the lines:

    mathjax_url = ('http://cdn.mathjax.org/mathjax/latest/MathJax.js?'
                   'config=TeX-AMS-MML_HTMLorMML')
    # TODO: make this configurable:
    #
    # a) as extra option or
    # b) appended to math-output="MathJax"?
    #
    # If b), which delimiter/delimter-set (':', ',', ' ')?

As a workaround, users can configure the MathJaX URL (be it for `using the
https protocoll`__, configuring__ the remote server or using a local server)
can do so with a custom rst2html front end: 

Copy ``rst2html`` to the local binary path and insert ::

  # customize the MathJaX URL:
  from docutils.writers import html4css1
  html4css1.HTMLTranslator.mathjax_url = 'my custom mathjax url'

just before the ``publish_cmdline ...`` call.

__ http://www.mathjax.org/docs/2.0/start.html#secure-access-to-the-cdn
__ http://www.mathjax.org/docs/2.0/configuration.html#loading



> The attached debdiff adds a "use-local-mathjax.diff" patch to
> debian/patches, and adds a dependency on libjs-mathjax package to both
> python-docutils and python3-docutils.

Please do not make libjs-mathjax a dependency (maybe a suggestion). Besides
adding a quite large requirements, it also does not help in the quite common
case where you generate documentation to upload to another site!

If defaulting to mathjax-remote is an issue, a global config file
/etc/docutils.conf could be used to set::

  # These entries affect HTML output:
  [html4css1 writer]
  math-output: HTML






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Wed, 04 Jul 2012 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 04 Jul 2012 17:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 677929@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Guenter Milde <g.milde@quantentunnel.de>
Cc: 677929@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Wed, 04 Jul 2012 19:42:35 +0200
[Message part 1 (text/plain, inline)]
On 07/04/2012 01:56 PM, Guenter Milde wrote:
>> That is, if you open such document in a modern browser, it will happily 
>> download some JavaScript code from a remote site. I feel this violation 
>> of our users privacy (and a security concern).
> 
> This depends on the browser settings of the user. Users concerned for
> privacy and security will have safeguards in place, because browsing the
> internet without these safeguards almost inevitable means to download and
> execute JavaScript from remote sites. With JavaScript blocked, the user
> will see the latex source, instead of a rendering. 
> 
> I agree that a web page should not use javascript without need. However,
> the idea with mathjax as default math-output-format is to have something
> that works "out of the box" for most users - all alternatives are
> currently not up to the task but require additional configuration. I
> checked the mathjax site and it appeared to be a serious project by
> serious players (see http://www.mathjax.org/sponsors/). 
> 
> This is why I do not agree with labeling this as a "serious" bug.


It is a serious bug.
To the very least the url must be changed to the https one:
https://c328740.ssl.cf1.rackcdn.com/mathjax/latest/MathJax.js

But as Mathjax servers from some cloud service which has the same
certificate for all frontend users, so you can't ensure that you really
get the mathjax file you wanted even when you use their https transport.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Wed, 04 Jul 2012 18:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guenter Milde <g.milde@quantentunnel.de>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 04 Jul 2012 18:42:10 GMT) Full text and rfc822 format available.

Message #35 received at 677929@bugs.debian.org (full text, mbox):

From: Guenter Milde <g.milde@quantentunnel.de>
To: 677929@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Wed, 4 Jul 2012 20:40:05 +0200
On  4.07.12, Julian Taylor wrote:
> On 07/04/2012 01:56 PM, Guenter Milde wrote:
> >> That is, if you open such document in a modern browser, it will happily 
> >> download some JavaScript code from a remote site. I feel this violation 
> >> of our users privacy (and a security concern).
> > 
> > This depends on the browser settings of the user. Users concerned for
> > privacy and security will have safeguards in place, because browsing the
> > internet without these safeguards almost inevitable means to download and
> > execute JavaScript from remote sites. With JavaScript blocked, the user
> > will see the latex source, instead of a rendering. 
> > 
> > I agree that a web page should not use javascript without need. However,
> > the idea with mathjax as default math-output-format is to have something
> > that works "out of the box" for most users - all alternatives are
> > currently not up to the task but require additional configuration. I
> > checked the mathjax site and it appeared to be a serious project by
> > serious players (see http://www.mathjax.org/sponsors/). 
> > 
> > This is why I do not agree with labeling this as a "serious" bug.

> It is a serious bug.

> To the very least the url must be changed to the https one:
> https://c328740.ssl.cf1.rackcdn.com/mathjax/latest/MathJax.js

The problem with this URL is that it is rather cryptic which makes the
decision whether to extempt it from JavaScript bocking difficult.

While a man-in-the-middle attack is not to be excluded with plain http, the
same can be said for any web page containing JavaScript.

> But as Mathjax servers from some cloud service which has the same
> certificate for all frontend users, so you can't ensure that you really
> get the mathjax file you wanted even when you use their https transport.

Does this mean that Debian considers using the public MathJax server in
HTML documents a serious security threat?

Günter




Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&atid=422030&aid=3540052&group_id=38414'. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Sun, 02 Sep 2012 09:48:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Sun, 16 Sep 2012 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 16 Sep 2012 11:15:03 GMT) Full text and rfc822 format available.

Message #42 received at 677929@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: Guenter Milde <g.milde@quantentunnel.de>
Cc: 677929@bugs.debian.org
Subject: Re: Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Sun, 16 Sep 2012 15:09:55 +0400
[Message part 1 (text/plain, inline)]
Hi Guenter,

The upstream bug report ([1]) has a patch attached for over two weeks.
Maybe you can review/accept it?

It does the same thing as is suggested in TODO (the "b" way) — allows to
append the custom URL to math-output setting.

[1]: https://sourceforge.net/tracker/?func=detail&atid=422030&aid=3540052&group_id=38414

Cheers,

--
Dmitry Shachnev
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Dmitry Shachnev <mitya57@gmail.com> to control@bugs.debian.org. (Fri, 19 Oct 2012 14:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Wed, 13 Feb 2013 10:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 13 Feb 2013 10:36:06 GMT) Full text and rfc822 format available.

Message #49 received at 677929@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: Guenter Milde <g.milde@quantentunnel.de>, 677929@bugs.debian.org
Cc: Dmitry Shachnev <mitya57@gmail.com>
Subject: Re: Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Wed, 13 Feb 2013 10:23:01 +0000
[Message part 1 (text/plain, inline)]
On Sun, Sep 16, 2012 at 03:09:55PM +0400, Dmitry Shachnev wrote:
> Hi Guenter,
> 
> The upstream bug report ([1]) has a patch attached for over two weeks.
> Maybe you can review/accept it?
> 
> It does the same thing as is suggested in TODO (the "b" way) — allows to
> append the custom URL to math-output setting.
> 
> [1]: https://sourceforge.net/tracker/?func=detail&atid=422030&aid=3540052&group_id=38414
> 
> Cheers,
> 
> --
> Dmitry Shachnev

Ping? This RC bug has been quiet for too long now.

Thanks,

-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Wed, 13 Feb 2013 10:48:03 GMT) Full text and rfc822 format available.

Message #52 received at 677929@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 677929@bugs.debian.org
Subject: Re: Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Wed, 13 Feb 2013 11:44:40 +0100
* Jonathan Wiltshire <jmw@debian.org>, 2013-02-13, 10:23:
>Ping?

It hasn't been forgotten. No need to ping.

>This RC bug has been quiet for too long now.

What do you mean by "too long"?

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Wed, 13 Feb 2013 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 13 Feb 2013 10:54:03 GMT) Full text and rfc822 format available.

Message #57 received at 677929@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: Jakub Wilk <jwilk@debian.org>, <677929@bugs.debian.org>
Subject: Re: Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Wed, 13 Feb 2013 10:51:39 +0000
On 2013-02-13 10:44, Jakub Wilk wrote:
> * Jonathan Wiltshire <jmw@debian.org>, 2013-02-13, 10:23:
>>Ping?
>
> It hasn't been forgotten. No need to ping.
>
>>This RC bug has been quiet for too long now.
>
> What do you mean by "too long"?

Oh, my mistake. Too long in a release context, but I realise now this 
doesn't affect Wheezy. Sorry about the noise.



-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits



Unset Bug forwarded-to-address Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 15 Mar 2013 23:03:20 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream and patch. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 15 Mar 2013 23:03:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#677929; Package python-docutils. (Sat, 16 Mar 2013 00:03:05 GMT) Full text and rfc822 format available.

Message #64 received at 677929@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 677929@bugs.debian.org
Subject: Re: Bug#677929: python-docutils: remote copy of MathJax needed to render maths
Date: Sat, 16 Mar 2013 00:58:41 +0100
Control: tag -1 + fixed-upstream

>| Release 0.9 (2012-05-02)
>| ========================
>| [...]
>| * docutils/writers/html4css1/__init__.py
>|
>|   - Change default for `math-output` setting to MathJax.

Apparently this is going to be fixed in the next release:

Changes Since 0.10
==================
[...]
  - New default for math-output_: ``HTML math.css``.

-- 
Jakub Wilk



Added tag(s) fixed-upstream. Request was from Jakub Wilk <jwilk@debian.org> to 677929-submit@bugs.debian.org. (Sat, 16 Mar 2013 00:03:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 13 May 2013 15:36:14 GMT) Full text and rfc822 format available.

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Mon, 13 May 2013 18:06:08 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 13 May 2013 18:06:08 GMT) Full text and rfc822 format available.

Message #73 received at 677929-close@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 677929-close@bugs.debian.org
Subject: Bug#677929: fixed in python-docutils 0.10-2
Date: Mon, 13 May 2013 18:03:26 +0000
Source: python-docutils
Source-Version: 0.10-2

We believe that the bug you reported is fixed in the latest version of
python-docutils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677929@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Wilk <jwilk@debian.org> (supplier of updated python-docutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 13 May 2013 19:29:25 +0200
Source: python-docutils
Binary: python-docutils python3-docutils docutils-common docutils-doc
Architecture: source all
Version: 0.10-2
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Jakub Wilk <jwilk@debian.org>
Description: 
 docutils-common - text processing system for reStructuredText - common data
 docutils-doc - text processing system for reStructuredText - documentation
 python-docutils - text processing system for reStructuredText (implemented in Pytho
 python3-docutils - text processing system for reStructuredText (implemented in Pytho
Closes: 677929
Changes: 
 python-docutils (0.10-2) unstable; urgency=low
 .
   * Upload to unstable.
 .
   [ Dmitry Shachnev ]
   * debian/x-rst.xml: add mime file (for text/x-rst).
 .
   [ Jakub Wilk ]
   * Update bug URLs in patch headers.
   * Use canonical URIs for Vcs-* fields.
   * Add patch (math-output-html.diff) to change default math output format to
     HTML (closes: #677929). This is divergence from upstream behavior, but
     it is planned that upstream Docutils 0.11 will switch to HTML, too.
Checksums-Sha1: 
 df5139a2793083f311fbaad9c355467f7515858b 2445 python-docutils_0.10-2.dsc
 584ab09b2cdd5dad0261b0f7757dfca2a48c2a4a 34813 python-docutils_0.10-2.debian.tar.gz
 5502de702222b2bed0315ba002285e2d1b69cfc7 427526 python-docutils_0.10-2_all.deb
 8bf8da022cb107acf8181ec9a4b6a2ffe527defc 427058 python3-docutils_0.10-2_all.deb
 b546bc0694f835d6fb9a89c6bc9f395eb6b16480 209954 docutils-common_0.10-2_all.deb
 8d17bcbca3eec43f63f983b0c6789dbb444fe7c5 1320582 docutils-doc_0.10-2_all.deb
Checksums-Sha256: 
 f4d8a741a4807c7909f7c9281889ccc85353862d6a2a50dee4804293f0737136 2445 python-docutils_0.10-2.dsc
 ba21d84e2be9d26c40f71b799b9b48e7982d2229a44d8be6ca2d15e401c1fb16 34813 python-docutils_0.10-2.debian.tar.gz
 fbfe5cef102a005facec30ac0f9f144deead72cbf803eddb1a9ff8a9943b563d 427526 python-docutils_0.10-2_all.deb
 c6ba2ba955f698a6253bfc8de8119c74ab9b8b708474a19ff4e2433f21a72c2e 427058 python3-docutils_0.10-2_all.deb
 b29eab48ee57d8f9debb5faa1a5aef8bdaa65aea3638aabb00e2ab43380fe534 209954 docutils-common_0.10-2_all.deb
 fbcb9dcb4a62d98605b94250fd9c8a0807bdfa6f08cda73c96c8edbc2dade77b 1320582 docutils-doc_0.10-2_all.deb
Files: 
 2f2a423b09a97fd6de9263aebb3a08ec 2445 python optional python-docutils_0.10-2.dsc
 b689b0ff2189186ae5a3d0bff67f882c 34813 python optional python-docutils_0.10-2.debian.tar.gz
 76a843f1adba838b2cf9d71b80b207fe 427526 python optional python-docutils_0.10-2_all.deb
 7d52199933e2735daffac70c5b74fdd8 427058 python optional python3-docutils_0.10-2_all.deb
 caa6572550005c59e6aca6a1fb526bce 209954 python optional docutils-common_0.10-2_all.deb
 ab10ebe40528e469706701db86c7e10f 1320582 doc optional docutils-doc_0.10-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRkSZ0AAoJEC1Os6YBVHX15R8P/16TvtKj//fS0aH0wBqSyUHH
hRSF8udm/vMHtCZ1Zm+cLWG8qs+l6Q+A24J9jFvf+YolKgYJ7iewUlWVzg9QFPeW
2suj18C2ihykffYzDp2RTYfEVL8Qgw/qP86ijjWIyj1hu3jQXk7N4rymbfl6t4DO
Pjtlow0SL+WPf4mRla4zw3zYiCVM3FPZeB6jU7cJCUVdg6APMOElpGBgwvd7p6hX
6ABiUXGydo1LSciOBF3gL9pX/kOTs+WxjDUO1oaG2+zAk6rZUsqY6FAQDgTR4R9e
oJ+lD/TFmDfyccv8CvN9ZXoeDiczmYhClEaiiXJI8MKlZEic7iGkqFuU093C5IcT
+K28gComJwpO8i4cAECIkwnGNMkJAjm8KGJlXUYQtCINilfffj2w745IeYdPKMRB
Hmugce7ArVgcQeso24m/lZSFbKscymUhHuYkkCnW2nT96mqxaRhHDI3Ry+aUPJfE
ELAJ4qNPJs6aR7pVYMmsE9pxHvNSBFezsFXwZZuomocgFnNTsrMSppPFqntjHdLW
Sj2sp3AgnOpcsN98rDR4wglooul7KOV8ovCTLknX3Op1GiA/FY3P37OUvR2fZEK6
DWNd4ZSCVtslaY37BHef92i2pmxJNkwMXT7vSANq2xD2IQJ8kunK8kA5NPPH1rPU
vInXsAtpWAddTEzye7qD
=4Gpu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Jun 2013 07:27:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:47:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.